<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('agreement', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id')->comment('订单id');
            $table->string('number')->comment('协议编号');
            $table->string('sign_date')->comment('协议签署日期');
            $table->string('img')->nullable()->comment('协议扫描文件');
            $table->tinyInteger('material_type')->default(0)->comment('材质类型 0:纸质 1:电子版');
            $table->integer('sign_id')->comment('协议签署人 合作商id');
            $table->tinyInteger('is_notice')->default(0)->comment('是否签发通知书 0:否 1:是');
            $table->string('notice_img')->nullable()->comment('通知书照片');
            $table->integer('introduce_id')->nullable()->comment('介绍人id,合作商id');
            $table->string('introduce_rights')->nullable()->comment('介绍人权益');
            $table->tinyInteger('is_receive')->default(0)->comment('是否领取权益 0:否 1:是');
            $table->string('rights_img')->nullable()->comment('领取权益凭证');
            $table->integer('quota_id')->comment('名额归属');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('agreement');
    }
};
